library(coda)
library(MASS)
library(lattice)



source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/scenario-dir-names.R")




read.log <- function(fpath) {
  x <- read.table(fpath, header=TRUE)
  mcmclog <- as.mcmc(x)
  mcmclog
  }




print.overview <- function(sdir, rep) {
		params.fpath <- paste0(beast.dir.from.scenario.dir.and.rep(sdir, rep), "/", "locus1.log")
		mcmc <- read.log(params.fpath)
		nr <- nrow(mcmc)
		cat("rep", rep, nr)
		nr
}



do.overview.for.sdirs <- function(sdirs) {
	lastnr <- -1
	for (sdir in sdirs) {
		cat(sdir, "\n")
		for (rep in first.replicate:last.replicate) {
			nr <- print.overview(sdir, rep)
			if (lastnr < 0) {
				lastnr <- nr
			} else {
				if (nr != lastnr) {
					cat("Error", nr, lastnr, "\n")
					#stop()
				}
			}
			cat("\n")
		}
		cat("\n")
	}
}





do.overview <- function(nspp) {
	if (nspp == 4) {
		do.overview.for.sdirs(fourspp.all.scenario.dirs)
	}
	if (nspp == 10) {
		do.overview.for.sdirs(tenspp.all.scenario.dirs)
	}
}



do.overview(4)

