library(ape)


source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/scenario-dir-names.R")

treeAnn.call <- "java -Djava.library.path=C:/Users/GRJ/AAA/software/BEASTv1.8.3/lib -cp C:/Users/GRJ/AAA/software/BEASTv1.8.3/lib/beast.jar dr.app.tools.TreeAnnotator"
# From user list 
# java -Xms296m -Xmx16384m -Djava.library.path="/opt/beast/1.8.1/lib"-cp "/opt/beast/1.8.1/lib/beast.jar" dr.app.tools.TreeAnnotator -burnin 3000 -heights mean test2.trees.txt test2.MCC.tree 





treeAnn.command.one.scenario.one.rep <- function(scenario.dir, rep) {
	tree.fpath <- paste0(BEASTresults.dir, "/",
											 scenario.rep.fname(scenario.dir, rep), "/species.trees")
	treelist <- read.nexus(tree.fpath, force.multi = TRUE)
	burnin <- burnin.from.Nsamples(length(treelist))
	paste0(treeAnn.call, " -burninTrees ", burnin, " ", tree.fpath, " ", tree.fpath, ".ta")
}




do.treeAnn <- function(scenario.dirs) {
	for (scenario in scenario.dirs) {
		cat(scenario, "\n")
		for (rep in first.replicate:last.replicate) {
			command <- treeAnn.command.one.scenario.one.rep(scenario, rep)
			error.code <- system(command)
			if (error.code != 0) {
				stop("TreeAnnotator call failed")
			}
		} 
	}
	
}



####################################################################################


do.maxcladecred.trees <- function(nspp) {
	if (nspp == 4) {
		do.treeAnn(fourspp.all.scenario.dirs)
	}
	
	if (nspp == 10) {
		if (just.coal.paraphyly) {
			stopifnot(just.leache == FALSE)
			do.treeAnn(tenspp.just.coal.paraphyly.dirs)
		} else if (just.leache) {
			do.treeAnn(tenspp.leache.scenario.dirs)
		} else {
			do.treeAnn(tenspp.all.scenario.dirs)
		}
	}	
}




