
library(ape)
library(phangorn)
library(stringr)


source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/scenario-dir-names.R")


migan.jar <- "java -jar C:/Users/GRJ/AAA/software/MigrationAnalyser.jar"



run.MigrationAnalyser <- function(scenario.directories) {
	for (sdir in scenario.directories) {
		cat(sdir, "... \n")
		for (rep in first.replicate:last.replicate) {
			tree.fpath <- paste0(beast.dir.from.scenario.dir.and.rep(sdir, rep), "/species.trees")
			
			migan.fpath <- paste0(beast.dir.from.scenario.dir.and.rep(sdir, rep), "/migan.txt")
			command <- paste0(migan.jar, " ", tree.fpath, " ", migan.fpath)
			error.code <- system(command)
			if (error.code != 0) {
				stop("Failed to run MigrationAnalyser")
			}
			
			migan.fpath <- paste0(beast.dir.from.scenario.dir.and.rep(sdir, rep), "/miganraw.txt")
			command <- paste0(migan.jar, " -outputtype raw ", tree.fpath, " ", migan.fpath)
			error.code <- system(command)
			if (error.code != 0) {
				stop("Failed to run MigrationAnalyser")
			}
		}
		cat(" Made migrations file for scenario", sdir, "\n\n")
	}

}




####################################################################################

if (number.of.species == 4) {
	run.MigrationAnalyser(fourspp.all.scenario.dirs)
}


#################################################################################################


if (number.of.species == 10) {
	if (just.coal.paraphyly) {
		stopifnot(just.leache == FALSE)
		run.MigrationAnalyser(tenspp.just.coal.paraphyly.dirs)
	} else if (just.leache) {
		run.MigrationAnalyser(tenspp.leache.scenario.dirs)
	} else {
		run.MigrationAnalyser(tenspp.all.scenario.dirs)
	}
}




