# This was run once only to make 600 (6 scenarios x 100 replicates) new control files
# with migration rate 0.01, derived from Leache ones with 0.1


stop("READ COMMENT")


library(stringr)




this.directory <- "C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Leache-TenSpp"

source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/scenario-dir-names.R")





change.rate <- function(fpath, old.rate, new.rate) {
	x <- readLines(fpath)
	#x <- str_trim(x)
	migline <- grep("migration", x)
	stopifnot(length(migline) == 1)
	tokens <- str_split(x[migline], "[[:blank:]]")[[1]]
	count <- as.integer(tokens[[length(tokens)]])
	loci.len.line <- grep("loci&length", x)
	stopifnot(length(loci.len.line) == 1)
	mig.matrix <- x[(migline+1):(loci.len.line-1)]
	nonempty <-  grep("[[:graph:]]+", mig.matrix)
	mig.matrix <- mig.matrix[nonempty]
	stopifnot(length(mig.matrix) == count + 1)
	mig.matrix <- gsub(old.rate, new.rate, mig.matrix, fixed=TRUE)
	for (i in 1:migline) {
		cat(x[i], "\n", sep="")
	}
	cat("\n")
	for (i in 1:length(mig.matrix)) {
		cat(mig.matrix[i], "\n", sep="")
	}
	cat(x[loci.len.line], "\n", sep="")
}


make.dir.if.needed <- function(dpath) {
	if (!dir.exists(dpath)) {
		dir.create(dpath)
	}
}



mappings.for.0p1s <- ten.spp.mapping[c(1,3,5,7,9,11), ]
for (i in 1: nrow(mappings.for.0p1s)) {
	stopifnot(grepl("0p1", mappings.for.0p1s[i, "leache.to.repnum"]))
	stopifnot(grepl("0p1", mappings.for.0p1s[i, "my.dir"]))
	newdir <- gsub("0p1", "0p01", mappings.for.0p1s[i, "my.dir"])
	cat(newdir, "\n")
	make.dir.if.needed(paste0(this.directory, "/ZCtrlFiles/", newdir))
	for (r in 0:99) {
		oldctrl <- paste0(this.directory, "/ZCtrlFiles/", mappings.for.0p1s[i, "my.dir"], "/", mappings.for.0p1s[i, "leaf.in.ctrl"], r, ".ctl")
		newctrl <- paste0(this.directory, "/ZCtrlFiles/", newdir, "/", "run", r, ".ctl")
		cat(oldctrl, "\n")
		cat(newctrl, "\n")
		sink(newctrl)
		change.rate(oldctrl, "0.1", "0.01")
		sink(NULL)
		
	}
	cat("\n")
  }








