
# i 3,9  
# g 3,9 
# ILS .0005, .005, .05  
# prior mean 0.00125, .005
# Flex Simp
# 2*2*3*2*2 = 48



analysis.dir <- "G:/DENIM-prior-Aug5"

xml.fragments.dir <- "C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Prior/Aug5"


ils.vals <- c("0.0005", "0.005", "0.05")
ils.txts <- c("0p0005", "0p005", "0p05")

priormean.vals <- c("0.00125", "0.005")
priormean.txts <- c("0p00125", "0p005")

relFact.vals <- c("1.0", "-1.0")
relFact.txts <- c("F", "S")


copy.frag <- function(fpath) {
	xx <- readLines(fpath)
	for (i in 1:length(xx)) {
		cat(xx[i], "\n", file=analysis.fpath, append=TRUE)
	}
}


for (nindivs in c(3,9)) {
	for (g in c(3,9)) {
		for (ils in 1:3) {
			for (pm in 1:2) {
				for (rf in 1:2) {
					dpath <- paste0(analysis.dir, "/s6", "_i", nindivs, "_loci", g, "_ils", ils.txts[ils], 
													"_pm", priormean.txts[pm], "_", relFact.txts[rf])
					cat(dpath, "\n")
					if (!dir.exists(dpath)) {
						dir.create(dpath)
					}
					frag1.fpath <- paste0(xml.fragments.dir, "/s6", "i", nindivs, "g", g, "part1.xml")
					frag2.fpath <- paste0(xml.fragments.dir, "/s6", "i", nindivs, "g", g, "part2.xml")
					frag3.fpath <- paste0(xml.fragments.dir, "/s6", "i", nindivs, "g", g, "part3.xml")
					frag4.fpath <- paste0(xml.fragments.dir, "/s6", "i", nindivs, "g", g, "part4.xml")
					analysis.fpath <- paste0(dpath, "/", "beast.XML")
					cat("", file=analysis.fpath)
					copy.frag(frag1.fpath)
					ils.line <- paste0("\t\t<parameter id=\"popPriorScale\" estimate=\"false\" name=\"stateNode\">", ils.vals[ils], "</parameter>")
					cat(ils.line, "\n", file=analysis.fpath, append=TRUE)
					copy.frag(frag2.fpath)
					rf.line <- "\t\t\t<coalescenceMigrationParameters id=\"coalescenceMigrationParameters\" spec=\"denim.CoalescenceMigrationParameters\" migrationDecayScale=\"-1.0\" popPriorScale=\"@popPriorScale\""
					rf.line <- paste0(rf.line, " relatednessFactor=\"", relFact.vals[rf], "\">")
					cat(rf.line, "\n", file=analysis.fpath, append=TRUE)
					copy.frag(frag3.fpath)
					pm.line <- paste0("\t\t\t\t\t<parameter id=\"GammaComponentBeta.1\" estimate=\"false\" name=\"scale\">", priormean.vals[pm], "</parameter>")
					cat(pm.line, "\n", file=analysis.fpath, append=TRUE)
					copy.frag(frag4.fpath)
				}
			}
		}
	}
}







