# This pastes together two BEAST XML fragments which sandwich a data section made by 
# Utils\mccoal-seqs-to-xml.R. 

this.directory <- "C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/SB-Leache-FourSpp"

source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/scenario-dir-names.R")
source("C:/Users/GRJ/AAA/Programming/Biology/DENIMSimulations/Utils/mccoal-seqs-to-xml.R")

xml.before.data <-            readLines(paste0(this.directory, "/", "before-data-4spp4441.xml"))
xml.after.data <-             readLines(paste0(this.directory, "/", "after-data-4spp4441.xml"))
xml.after.data.ns.1allele <-  readLines(paste0(this.directory, "/", "after-data-4spp-B-C-1-allele.xml"))
xml.after.data.ns.1mig <-     readLines(paste0(this.directory, "/", "after-data-4spp-B-C-1-mig.xml"))
xml.after.data.sis.1allele <- readLines(paste0(this.directory, "/", "after-data-4spp-B-A-1-allele.xml"))
xml.after.data.sis.1mig <-    readLines(paste0(this.directory, "/", "after-data-4spp-B-A-1-mig.xml"))


dir.from.s.rep <- function(s, rep) {
	stopifnot(is.numeric(s))
	stopifnot(rep >= first.replicate)
	stopifnot(rep <= last.replicate)
	stopifnot(s >= 1)
	stopifnot(s <= length(fourspp.all.scenario.dirs))	
	paste0(BEASTresults.dir, "/", scenario.rep.fname(fourspp.all.scenario.dirs[s], rep))
}



for (s in 1:length(fourspp.all.scenario.dirs)) {
	for (rep in first.replicate:last.replicate) {
		dpath <- dir.from.s.rep(s, rep)
		
		# write start of the BEAST XML 
		sink(paste0(dpath, "/beast.xml"))
		for (i in 1:length(xml.before.data)) {
			cat(xml.before.data[i], "\n")
		}
		
		# write data for the BEAST XML 
		convert.mccoal.xml(paste0(dpath, "/seq.txt"))
		
		# write the rest of the BEAST XML, with appropriate taxon set
		if (s <= 13) {
			xad <- xml.after.data
		} else if (s == 14) {
			xad <- xml.after.data.ns.1allele
		} else if (s == 15) {
			xad <- xml.after.data.ns.1mig
		} else if (s == 16) {
			xad <- xml.after.data.sis.1allele
		} else if (s == 17) {
			xad <- xml.after.data.sis.1mig
		} else {
			xad <- "?????????"
		}
		for (i in 1:length(xad)) {
			cat(xad[i], "\n")
		}
		
		sink(NULL)
	}
	cat("Done BEAST XMLs for scenario", s, "\n")
}









